{% macro image(item, num) -%}
    {% set num = (num ?? 0) ?: 0 %}
    {% set image = item.image(num) %}
    {% set imageType = image.type is defined ? image.type : null %}
    {% set allowedImage = imageType in ['BPZ', 'ZBA'] %}
    {% if image and image.file is defined and image.file and allowedImage %}
        <a href="{{ image|href }}" target="_blank" class="image tn">
            <img src="{{ image|tn(0,60) }}">
        </a>
    {% elseif item.lookingFor and allowedImage %}
        <span class="image none lookingfor">
            <i class="fas fa-question"></i>
        </span>
    {% elseif allowedImage %}
        <span class="image none">
            <i class="fas fa-question"></i>
        </span>
    {% endif %}
{%- endmacro %}

{% macro imageserie(item) -%}
    {% set image = item.image %}
    {%- if image and image.file is defined and image.file -%}
{#        <span class="img-wrapper"#}
{#              style="background-image: url({{ image|tn(32, 32) }});">#}
{#        </span>#}
    {%- else -%}
{#        <span class="none">#}
{#            <i class="fas fa-question"></i>#}
{#        </span>#}
    {%- endif -%}
{%- endmacro %}

{% macro images(item) -%}
    {% import "macros.html.twig" as macro %}
    {% set num = item.images|length %}
    {% if num %}
        {% for i in 1..num %}
            {{ macro.image(item, i-1) }}
        {% endfor %}
    {% else %}
        {{ macro.image(item, 0) }}
    {% endif %}
{%- endmacro %}

{% macro attributes(item) -%}
    {% for attr in item.attributes %}
        {% apply spaceless %}
            <span class="attribute attributes-{{ attr.type }}">
                <em>{{ attr.type }}</em>
                <span>{{ attr.name }}</span>
            </span>
        {% endapply %}
    {% endfor %}
{%- endmacro %}

{% macro status(item) -%}
    {% set attrs = item.attributes(['poids', 'puzzle']) %}
    {% if item.lookingFor or item.quantityOwned or item.quantityDouble or attrs|length %}
        <div class="item-status">
            {% if item.lookingFor %}
                <div class="text-danger"><i class="fas fa-search"></i> Je recherche</div>
            {% endif %}
            {% if item.quantityOwned %}
                <div class="text-primary"><i class="fas fa-check"></i> J'ai</div>
            {% endif %}
            {% if item.quantityDouble %}
                <div class="text-secondary"><i class="fas fa-check-double"></i> En double</div>
            {% endif %}
            {% for attr in attrs %}
                <div class="text-muted"><i class="fas fa-tag"></i> {{ attr.name }}</div>
            {% endfor %}
        </div>
    {% endif %}
{%- endmacro %}

{% macro flag(country) -%}
    <span class="flag-icon flag-icon-{{ country.abbr|lower }}"></span>
{%- endmacro %}
